
TYPO3.Flow - Major Feature # 3585

Status: New Priority: Should have
Author: Robert Lemke Category:
Created: 2009-06-05 Assigned To:
Updated: 2013-02-20 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Implement support for value objects
Description

Currently value objects are not truly supported as such - but we want that.
This ticket consists of several sub tasks (see related issues)

Related issues:
related to TYPO3.Flow - Feature # 3586: Assure that value objects are immutable Resolved 2010-03-16
related to TYPO3.Flow - Feature # 3587: Enforce validation rules for value ob... New 2009-06-05
related to TYPO3.Flow - Feature # 3588: Support value objects in the Object F... Accepted

Associated revisions
Revision 0af0647d - 2012-04-14 21:13 - Christian Müller

[FEATURE] Improve value object support

This allows to handle value objects as intended. Create a new
one and persistence will take care to check if the value object
exists already.

Change-Id: Ifd1906bb8ac7fea315c39caefc79e6a38e8a35b0
Related: #3585
Releases: 1.1

History
#1 - 2009-07-13 10:51 - Robert Lemke
- Target version changed from 283 to 1.0 alpha 3

#2 - 2009-07-13 10:59 - Robert Lemke
- Priority changed from Must have to Should have

#3 - 2009-07-27 12:26 - Robert Lemke
- Target version changed from 1.0 alpha 3 to 1.0 alpha 4

#4 - 2009-09-07 09:42 - Robert Lemke
- Target version deleted (1.0 alpha 4)

#5 - 2010-03-09 18:30 - Robert Lemke
- Tracker changed from Feature to Major Feature

#6 - 2013-02-20 14:45 - Christian Müller
- Has patch set to No
Isn't this covered with Ifd1906bb8ac7fea315c39caefc79e6a38e8a35b0? Do we want to go further in the future here?
